\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{alt2023}[2022/12/31 v1.1 ALT 2023 Proceedings]
%updates from v1 by Chicheng Zhang: PMLR volume number, names of editors

\newcommand{\todo}{\color{red}}

\@ifundefined{ifanonsubmission}{
  \newif\ifanonsubmission
  \anonsubmissionfalse
}{}

\@ifundefined{iffinalsubmission}{
  \newif\iffinalsubmission
  \finalsubmissionfalse
}{}

\DeclareOption{anon}{\anonsubmissiontrue}
\DeclareOption{final}{\finalsubmissiontrue}
\ProcessOptions\relax

\LoadClass[pmlr]{jmlr}

\jmlrvolume{vol 201}
\jmlryear{2023}
\jmlrproceedings{PMLR}{Proceedings of Machine Learning Research}

\ifanonsubmission
 \newcommand{\altauthor}[1]{}
 \author{author names withheld}
 \editor{Under Review for ALT 2023}
 \jmlrworkshop{34th International Conference on Algorithmic Learning Theory}
 \renewcommand{\acks}[1]{}
\else
 \newcommand{\altauthor}[1]{\author{#1}}
 \iffinalsubmission
  \editors{Shipra Agrawal and Francesco Orabona}
  \jmlrworkshop{34th International Conference on Algorithmic Learning Theory}
 \fi
\fi



